Package org.jbpm.services.task.impl.model

## Class DeadlinesImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.DeadlinesImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.internal.task.api.model.Deadlines`

      @Embeddable
      public class DeadlinesImpl
      extends Object
      implements org.kie.internal.task.api.model.Deadlines

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeadlinesImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `List<org.kie.internal.task.api.model.Deadline>` | `getEndDeadlines()` |
    `List<org.kie.internal.task.api.model.Deadline>` | `getStartDeadlines()` |
    `int` | `hashCode()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setEndDeadlines​(List<org.kie.internal.task.api.model.Deadline> endDeadlines)` |
    `void` | `setStartDeadlines​(List<org.kie.internal.task.api.model.Deadline> startDeadlines)` |
    `String` | `toString()` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeadlinesImpl

          public DeadlinesImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getStartDeadlines

          public List<org.kie.internal.task.api.model.Deadline> getStartDeadlines()

      Specified by:
        `getStartDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### setStartDeadlines

          public void setStartDeadlines​(List<org.kie.internal.task.api.model.Deadline> startDeadlines)

      Specified by:
        `setStartDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### getEndDeadlines

          public List<org.kie.internal.task.api.model.Deadline> getEndDeadlines()

      Specified by:
        `getEndDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### setEndDeadlines

          public void setEndDeadlines​(List<org.kie.internal.task.api.model.Deadline> endDeadlines)

      Specified by:
        `setEndDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`